CMPISTRING(3)

NAME
CMPIString - CMPIString class implementation

SYNOPSIS

  Public Attributes
int void * hdl;
Opaque pointer to class instance data.
CMPIStringFT * ft;
Pointer to the Args Function Table.

METHODS
CMPIStatus release (CMPIString *string)
CMPIString * clone (CMPIString *string, CMPIStatus *rc)
char * getCharPtr (CMPIString *string, CMPIStatus *rc)

DESCRIPTION

CMPIString class implementation, representing the Encapsulated String object.

This is the native CMPIString implementation as used for remote providers. It reflects the well-defined interface of a regular CMPIString, however, it works independently from the management broker.

It is part of a native broker implementation that simulates CMPI data types rather than interacting with the entities in a full-grown CIMOM.

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup